Explain query execution plan
POST /queries/explain
Get the execution plan for a SQL query without executing it.
Request Body:
tables: Map of table names (as referenced in SQL) to table IDssql: SQL query to explain
Phase 1 Constraint: All tables must belong to the same team.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
object
Dataset table ID (backwards compatible format)
object
Dataset table ID
Optional row-level filters for this table
object
Column name to filter on
Comparison operator
Include Lance _rowid system column in table schema (default: false)
object
SQL query defining this view (references tables declared in ‘tables’)
Physical table bindings referenced by the query
object
Dataset table ID (backwards compatible format)
object
Dataset table ID
Optional row-level filters for this table
object
Column name to filter on
Comparison operator
Include Lance _rowid system column in table schema (default: false)
Optional row-level filters applied to the query result
object
Column name to filter on
Comparison operator
Responses
Section titled “ Responses ”Execution plan retrieved
object
Bad Request - Validation error or invalid input
object
Unauthorized - Authentication required or invalid token
object
Forbidden - Insufficient permissions
object
Not Found - Resource does not exist